Poor handling of float nodata value

2012-11-29 08:10 AM - Rudi von Staden

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 15935

Description

I am trying to process some bioclimatic raster files, such as can be downloaded from http://www.worldclim.org/current (bioclim set). They

seem to have nodata values set to -3.4e+38 according to QGIS (looking at the output of gdalinfo, it's -3.39999999999999996e+38).

QGIS picks up the nodata value (attached nodata_dialog.jpg), but does not apply it. In the layer styling, there's an entry for -3.4e+38 set to

100% transparent, but it still displays such values, even though the "Identify features" picker shows them as having value -3.4e+38

(nodata.jpg).

A workaround was to first use gdalwarp to change the nodata value to an integer, or to use gdal_translate to convert from a float to

integer raster file. See discussion at http://gis.stackexchange.com/questions/42555/what-to-do-with-3-4e38-nodata-values/ for more.

History

#1 - 2012-11-30 03:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

rasters have been overhauled in qgis master, have you tested it?

#2 - 2013-02-17 01:20 AM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Feedback to Closed

closing for the lack of feedback

Files

nodata_dialog.jpg 45.5 KB 2012-11-29 Rudi von Staden

nodata.jpg 38.8 KB 2012-11-29 Rudi von Staden

2025-04-27 1/1

http://www.worldclim.org/current
http://gis.stackexchange.com/questions/42555/what-to-do-with-3-4e38-nodata-values/

